### Hierarchy

- GeoJSON
  - ArcGISGeoJSON

## Index

### Constructors

- constructor

### Methods

- getLayers
- getType
- readFeature
- readFeatureFromObject
- readFeatures
- readGeometry
- readGeometryFromObject
- readProjection
- readProjectionFromObject
- setLayers
- writeFeature
- writeFeatureObject
- writeFeatures
- writeFeaturesObject
- writeGeometry
- writeGeometryObject

## Constructors

### constructor

- new ArcGISGeoJSON(opt_options: {}): ArcGISGeoJSON

- Overrides GeoJSON.__constructor

  - Defined in src/format/ArcGISGeoJSON.js:51

  #### Parameters

  - ##### opt_options: {}

    Options.

  #### Returns ArcGISGeoJSON

## Methods

### getLayers

- getLayers(): string[]

- - Defined in src/format/ArcGISGeoJSON.js:70

  #### Returns string[]

  layers

### getType

- getType(): string

- Inherited from ArcGISGeoJSON.getType

  Overrides FeatureFormat.getType

  - Defined in node_modules/ol/src/format/JSONFeature.js:24
  inheritdoc

  #### Returns string

### readFeature

- readFeature(source: string | Object | Node | Document | ArrayBuffer, opt_options: {}): Feature<any>

- Inherited from ArcGISGeoJSON.readFeature

  Overrides FeatureFormat.readFeature

  - Defined in node_modules/ol/src/format/JSONFeature.js:37

  Read a feature. Only works for a single feature. Use `readFeatures` to read a feature collection.

  api

  #### Parameters

  - ##### source: string | Object | Node | Document | ArrayBuffer

    Source.

  - ##### opt_options: {}

    Read options.

  #### Returns Feature<any>

  Feature.

### readFeatureFromObject

- readFeatureFromObject(object: any, opt_options: any): Feature<Geometry>

- Inherited from ArcGISGeoJSON.readFeatureFromObject

  Overrides JSONFeature.readFeatureFromObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:95
  inheritdoc

  #### Parameters

  - ##### object: any

  - ##### opt_options: any

  #### Returns Feature<Geometry>

### readFeatures

- readFeatures(source: string | Object | Node | Document | ArrayBuffer, opt_options: {}): Feature<any>[]

- Inherited from ArcGISGeoJSON.readFeatures

  Overrides FeatureFormat.readFeatures

  - Defined in node_modules/ol/src/format/JSONFeature.js:51

  Read all features. Works with both a single feature and a feature collection.

  api

  #### Parameters

  - ##### source: string | Object | Node | Document | ArrayBuffer

    Source.

  - ##### opt_options: {}

    Read options.

  #### Returns Feature<any>[]

  Features.

### readGeometry

- readGeometry(source: string | Object | Node | Document | ArrayBuffer, opt_options: {}): Geometry

- Inherited from ArcGISGeoJSON.readGeometry

  Overrides FeatureFormat.readGeometry

  - Defined in node_modules/ol/src/format/JSONFeature.js:86

  Read a geometry.

  api

  #### Parameters

  - ##### source: string | Object | Node | Document | ArrayBuffer

    Source.

  - ##### opt_options: {}

    Read options.

  #### Returns Geometry

  Geometry.

### readGeometryFromObject

- readGeometryFromObject(object: any, opt_options: any): Geometry

- Inherited from ArcGISGeoJSON.readGeometryFromObject

  Overrides JSONFeature.readGeometryFromObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:152
  inheritdoc

  #### Parameters

  - ##### object: any

  - ##### opt_options: any

  #### Returns Geometry

### readProjection

- readProjection(source: string | Object | Node | Document | ArrayBuffer): Projection

- Inherited from ArcGISGeoJSON.readProjection

  Overrides FeatureFormat.readProjection

  - Defined in node_modules/ol/src/format/JSONFeature.js:109

  Read the projection.

  api

  #### Parameters

  - ##### source: string | Object | Node | Document | ArrayBuffer

    Source.

  #### Returns Projection

  Projection.

### readProjectionFromObject

- readProjectionFromObject(object: any): Projection

- Inherited from ArcGISGeoJSON.readProjectionFromObject

  Overrides JSONFeature.readProjectionFromObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:159
  inheritdoc

  #### Parameters

  - ##### object: any

  #### Returns Projection

### setLayers

- setLayers(layers: string[]): void

- - Defined in src/format/ArcGISGeoJSON.js:77

  #### Parameters

  - ##### layers: string[]

    Layers to parse.

  #### Returns void

### writeFeature

- writeFeature(feature: Feature<any>, opt_options: {}): string

- Inherited from ArcGISGeoJSON.writeFeature

  Overrides FeatureFormat.writeFeature

  - Defined in node_modules/ol/src/format/JSONFeature.js:131

  Encode a feature as string.

  api

  #### Parameters

  - ##### feature: Feature<any>

    Feature.

  - ##### opt_options: {}

    Write options.

  #### Returns string

  Encoded feature.

### writeFeatureObject

- writeFeatureObject(feature: Feature<any>, opt_options: {}): Feature<Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection, {}>

- Inherited from ArcGISGeoJSON.writeFeatureObject

  Overrides JSONFeature.writeFeatureObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:185

  Encode a feature as a GeoJSON Feature object.

  override
  api

  #### Parameters

  - ##### feature: Feature<any>

    Feature.

  - ##### opt_options: {}

    Write options.

  #### Returns Feature<Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection, {}>

  Object.

### writeFeatures

- writeFeatures(features: Feature<any>[], opt_options: {}): string

- Inherited from ArcGISGeoJSON.writeFeatures

  Overrides FeatureFormat.writeFeatures

  - Defined in node_modules/ol/src/format/JSONFeature.js:153

  Encode an array of features as string.

  api

  #### Parameters

  - ##### features: Feature<any>[]

    Features.

  - ##### opt_options: {}

    Write options.

  #### Returns string

  Encoded features.

### writeFeaturesObject

- writeFeaturesObject(features: Feature<any>[], opt_options: {}): FeatureCollection<Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection, {}>

- Inherited from ArcGISGeoJSON.writeFeaturesObject

  Overrides JSONFeature.writeFeaturesObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:222

  Encode an array of features as a GeoJSON object.

  override
  api

  #### Parameters

  - ##### features: Feature<any>[]

    Features.

  - ##### opt_options: {}

    Write options.

  #### Returns FeatureCollection<Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection, {}>

  GeoJSON Object.

### writeGeometry

- writeGeometry(geometry: Geometry, opt_options: {}): string

- Inherited from ArcGISGeoJSON.writeGeometry

  Overrides FeatureFormat.writeGeometry

  - Defined in node_modules/ol/src/format/JSONFeature.js:175

  Encode a geometry as string.

  api

  #### Parameters

  - ##### geometry: Geometry

    Geometry.

  - ##### opt_options: {}

    Write options.

  #### Returns string

  Encoded geometry.

### writeGeometryObject

- writeGeometryObject(geometry: Geometry, opt_options: {}): Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection

- Inherited from ArcGISGeoJSON.writeGeometryObject

  Overrides JSONFeature.writeGeometryObject

  - Defined in node_modules/ol/src/format/GeoJSON.js:243

  Encode a geometry as a GeoJSON object.

  override
  api

  #### Parameters

  - ##### geometry: Geometry

    Geometry.

  - ##### opt_options: {}

    Write options.

  #### Returns Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection

  Object.

Generated using TypeDoc